Subject: Re: bug#62317: 28.2; This byte-compiled file behaves wrongly.

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Sep 2023 14:12:27 -0400

> It seems like this patch was never installed.

To be honest, I'm not sure it's worth the trouble.

I'd argue that the bug is in having side-effects like that inside
`eval-and/when-compile` (or at the top-level of a `require`d file).
The patch only caters to changes to the `current_buffer` but there can
be many other ways to cause similar troubles and I can't think of a good
way to confine them all.

        Stefan